[arch-commits] Commit in gnome-desktop/trunk (PKGBUILD)

Jan Steffens heftig at archlinux.org
Tue May 7 13:39:03 UTC 2019


    Date: Tuesday, May 7, 2019 @ 13:39:02
  Author: heftig
Revision: 352710

3.32.2-1

Modified:
  gnome-desktop/trunk/PKGBUILD

----------+
 PKGBUILD |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-07 11:59:03 UTC (rev 352709)
+++ PKGBUILD	2019-05-07 13:39:02 UTC (rev 352710)
@@ -2,7 +2,7 @@
 # Maintainer: Jan de Groot <jan at archlinux.org>
 
 pkgname=gnome-desktop
-pkgver=3.32.1.2
+pkgver=3.32.2
 pkgrel=1
 epoch=1
 pkgdesc="Library with common API for various GNOME modules"
@@ -11,7 +11,8 @@
 license=(GPL LGPL)
 depends=(gsettings-desktop-schemas gtk3 libxkbfile xkeyboard-config iso-codes libseccomp bubblewrap)
 makedepends=(gobject-introspection git meson gtk-doc yelp-tools)
-_commit=4caeffbd8095aac98e880d0359857fa4ff9c8b1b  # tags/3.32.1.2^0
+checkdepends=(xorg-server-xvfb)
+_commit=85d004eb9e8bab211e9970e03f5da99a27c4d43d  # tags/3.32.2^0
 source=("git+https://gitlab.gnome.org/GNOME/gnome-desktop.git#commit=$_commit")
 sha256sums=('SKIP')
 
@@ -33,7 +34,7 @@
 
 check() {
   # tests broken: missing locale he_IL.UTF-8
-  : meson test -C build --print-errorlogs
+  xvfb-run meson test -C build --print-errorlogs || :
 }
 
 package() {


More information about the arch-commits mailing list